Subject: bug#9364: 23.3.50; inconsistent behavior of M-s o in regex isearch

From: Juri Linkov <[email-masked]>
Date: Mon, 24 Oct 2011 08:57:56 +0300

It occurred to me that `isearch-occur' should bind `search-spaces-regexp'
to `search-whitespace-regexp' only when `isearch-regexp' is non-nil
because regexp-based `occur' should output the same matches
as in non-regexp isearch that doesn't use `search-spaces-regexp'.
So now I fixed this accordingly.